class Level1 {
    constructor(game) {
        this.game = game;
    }

    initialize() {
        const background = new BackgroundSprite('assets/background.jpg', -135, 0, 1066, 600);
        this.game.addSprite(background);
        this.game.addSprite(new ButtonSprite(300, 100, 200, 50, 'Click To Start', () => {
            // Replace Level1 with Level2 or trigger win scene
            this.game.nextLevel();
        }));
    }
}